<?php

// tpmki.php v.1.6
// http://teampasswordmanager.com/docs/keepass-import/
//
// Ferran Barba, June 2017
// info@teampasswordmanager.com
// http://teampasswordmanager.com
//
// PHP script that imports projects and passwords from a Keepass XML 2.x File into Team Password Manager
// using the TPM_Keepass_Import class (TPM_Keepass_Import.php)

// **************** PARAMETERS ****************

// File to import (Keepass XML 2.x format)
$kfile = 'your_keepass_xml_file.xml';

// URL (including index.php) of the installation of Team Password Manager
// Example: https://localhost/teampasswordmanager/index.php
$tpm_url = 'YOUR_TEAMPASSWORDMANAGER_URL_WITH_INDEX.PHP';

// Username and password (must be Project Manager, IT or Admin)
$tpm_username = 'TPM_USERNAME';
$tpm_password = 'TPM_PASSWORD';

// Parent project ID (0=root)
// You can see the ID of the project in its URL: $tpm_url/prj/view/ID
$parent_project_id = 0;

// Test import and pretty print log
$test = FALSE;
$pretty_print_log = TRUE;
	

// **************** GO ****************

// Load class file
spl_autoload_register(function ($class_name) {
    include $class_name . '.php';
});

$tki = new TPM_Keepass_Import();
$tki->set_file($kfile);
$tki->set_tpm_credentials($tpm_url, $tpm_username, $tpm_password);
$tki->set_parent_project($parent_project_id);
$tki->import($test, $pretty_print_log);

